'''
created by: matt  2018-03-30

EMMIDD2.dbo.CY_FinacialRatio_RP

SecuCode	证券代码		varchar(12)			FALSE	
SecuAbbr	证券名称		nvarchar(40)			TRUE	
EndDate	报告日期		datetime			FALSE	
PublDate	公告日期		datetime			TRUE	
InventoryTurnover	存货周转率		numeric(18,4)	次		TRUE	
AccountsReceivableTurnover	应收账款周转率		numeric(18,4)	次		TRUE	
FixedAssetsTurnover	固定资产周转率		numeric(18,4)	次		TRUE	
OperatingRevenueYoY	主营收入同比		numeric(18,4)			TRUE	
DeductNetProfitYoY	归属于母公司股东的扣除非经常性损益后的净利润同比		numeric(18,4)			TRUE		

'''

class FinancialRatioRP():
    def __init__(self):
        pass
    '''
    def __init__(self,SecuCode,SecuAbbr,TradeDate,ReportPeriod,PE1,PB,PS,ClosePrice,RMBShares,Bshares,ValidShares,MarketValue):
        self.SecuCode = SecuCode         	
        self.SecuAbbr = SecuAbbr
        self.EndDate = EndDate
        self.PublDate = PublDate
        self.InventoryTurnover = InventoryTurnover
        self.AccountsReceivableTurnover = AccountsReceivableTurnover
        self.FixedAssetsTurnover = FixedAssetsTurnover
        self.OperatingRevenueYoY = OperatingRevenueYoY
        self.DeductNetProfitYoY = DeductNetProfitYoY

    '''
    def printMe(self):
        print(self.SecuCode,self.SecuAbbr,self.EndDate,self.DeductNetProfitYoY)

       
                        